Subject: [PATCH] serial: mxs-auart: add sysrq support

From: [email-masked] (Janusz Użycki)
Date: Mon, 06 Oct 2014 13:34:25 +0200

Hi,

W dniu 2014-10-04 18:19, Fabio Estevam pisze:
> Janusz,
>
> On Mon, Sep 29, 2014 at 11:11 AM, Janusz Uzycki <[email-masked]> wrote:
>>> So I'm deleting all of these now, please resend the latest
>>> versions you have, with properly versioning
>>> and order information.
>> Sure. If you don't want to comment dirty patches
>> I will not send you them.
>> I can send you only the final version, commented before.
>>
>> On the moment this patch is ready to apply.
>>
>> [PATCH RESEND] serial: mxs-auart: add sysrq support
>> The patch is resent to apply.
> What Greg is asking you to do is to provide a proper version
> annotation in your patches.
>
> For example: [PATCH v2] serial: mxs-auart: add ...
>
> Then if you need to submit it again you should do:
>
> [PATCH v3] serial: mxs-auart: add ...

I will resend the rest of patches (as v4) this week.
This simple patch is independent from the previous patchset so
I decided to resubmit it alone ([PATCH RESEND] header used)
to apply.

I rather shouldn't resend the patch again I guess.
I sent the same initial version of the patch twice
after Greg's email so I did mess enough I think.

> Also, always explain below the --- line what changed from one version to another
I thought composing cover letter is the only solution for resent patch 
or series.
As I understood this way is appropriate for single patch only (not patch 
set).
"Below" - it means between the line and diffstat?
Should I add new/second '---' line before diffstat?

best regards
Janusz